<ion-header>
  <ion-toolbar color="primary">
    <ion-title text-center> Akun </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="background" lines="none">
  <ion-avatar class="user-avatar">
    <img
      #profilePic
      id="profilePic"
      [src]="photo"
     
    />
  </ion-avatar>
  <ion-text color="tertiary">
    <h2>{{f_name}} {{l_name}}</h2>
  </ion-text>
  <ion-button expand="block" color="tertiary">
    <ion-label color="secondary" (click)="getPicture('camera')">Profile Picture</ion-label>
  </ion-button>
  <ion-button expand="block" color="tertiary" (click)="logout()">
    <ion-label color="secondary" >Keluar</ion-label>
  </ion-button>
  
  <input
    type="file"
    *ngIf="isDesktop"
    #filePicker
    (change)="onFileChoose($event)"
  />
  <div>
    <h3>My Feeds</h3>
    <ion-list>
      <ion-item *ngFor="let ea of location">
        <ion-label>{{f_name}} {{l_name}} checked in {{ea.data.place}}</ion-label>
        <ion-button (click)="del(ea.id)" color="danger">Delete</ion-button>
      </ion-item>
    </ion-list>
  </div>
</ion-content>
